Bug 230521

Summary: Remove unused enums.
Product: WebKit Reporter: Megan Gardner <megan_gardner>
Component: New BugsAssignee: Megan Gardner <megan_gardner>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, thorton, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
ews-feeder: commit-queue-
Patch
none
Patch
none
Patch none

Description Megan Gardner 2021-09-20 16:25:40 PDT
Test Patch for Bots.
Comment 1 Megan Gardner 2021-09-20 16:26:31 PDT
Created attachment 438749 [details]
Patch
Comment 2 Megan Gardner 2021-09-20 16:28:57 PDT
Created attachment 438751 [details]
Patch
Comment 3 Megan Gardner 2021-09-21 14:32:11 PDT
Created attachment 438859 [details]
Patch
Comment 4 Megan Gardner 2021-09-21 15:09:45 PDT
Created attachment 438864 [details]
Patch
Comment 5 Alex Christensen 2021-09-21 19:34:06 PDT
Comment on attachment 438864 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=438864&action=review

> Source/WebKit/Shared/ios/GestureTypes.h:37
>      OneFingerDoubleTap,

This makes it so that GestureType::OneFingerDoubleTap is no longer equal to UIWKGestureOneFingerDoubleTap.  Similar looking changes have caused problems in the past.  This looks good, but please double check that the values from GestureType are not exposed in the API.
Comment 6 Wenson Hsieh 2021-09-22 07:58:13 PDT
Comment on attachment 438864 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=438864&action=review

>> Source/WebKit/Shared/ios/GestureTypes.h:37
>>      OneFingerDoubleTap,
> 
> This makes it so that GestureType::OneFingerDoubleTap is no longer equal to UIWKGestureOneFingerDoubleTap.  Similar looking changes have caused problems in the past.  This looks good, but please double check that the values from GestureType are not exposed in the API.

These enum values are definitely all internal to WebKit (and not exposed in any clients, indirectly or directly).
Comment 7 EWS 2021-09-22 08:38:05 PDT
Committed r282877 (242006@main): <https://commits.webkit.org/242006@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438864 [details].
Comment 8 Radar WebKit Bug Importer 2021-09-22 08:39:27 PDT
<rdar://problem/83401829>